%define tarball xf86-input-synaptics
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/input

#define gitdate 20100823

Name:           xorg-x11-drv-synaptics
Summary:        Xorg X11 Synaptics touchpad input driver
Version:        1.4.0
Release:        1
URL:            http://www.x.org
License:        MIT
Group:          User Interface/X Hardware Support
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?gitdate}
Source0:        %{tarball}-%{gitdate}.tar.bz2
%else
Source0:        ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
%endif
Source1:        50-synaptics.conf
Source2:        make-git-snapshot.sh
Source3:        70-touchpad-quirks.rules

ExcludeArch:    s390 s390x

BuildRequires:  libtool pkgconfig
BuildRequires:  xorg-x11-server-sdk >= 1.6.0-2
BuildRequires:  libX11-devel libXi-devel
BuildRequires:  xorg-x11-util-macros >= 1.8.0

Requires:       xorg-x11-server-Xorg >= 1.8.0-6
Requires:       udev

Provides:       synaptics = %{version}-%{release}
Obsoletes:      synaptics < 0.15.0


%description
This is the Synaptics touchpad driver for the X.Org X server. The following
touchpad models are supported:
* Synaptics
* appletouch (Post February 2005 and October 2005 Apple Aluminium Powerbooks)
* Elantech (EeePC)
* bcm5974 (Macbook Air (Jan 2008), Macbook Pro Penryn (Feb 2008), iPhone
  (2007), iPod Touch (2008)

Note that support for appletouch, elantech and bcm5974 requires the respective
kernel module.
A touchpad by default operates in compatibility mode by emulating a standard
mouse. However, by using a dedicated driver, more advanced features of the
touchpad become available.

Features:

    * Movement with adjustable, non-linear acceleration and speed.
    * Button events through short touching of the touchpad ("tapping").
    * Double-Button events through double short touching of the touchpad.
    * Dragging through short touching and holding down the finger on the
      touchpad.
    * Middle and right button events on the upper and lower corner of the
      touchpad.
    * Vertical scrolling (button four and five events) through moving the
      finger on the right side of the touchpad.
    * The up/down button sends button four/five events.
    * Horizontal scrolling (button six and seven events) through moving the
      finger on the lower side of the touchpad.
    * The multi-buttons send button four/five events, and six/seven events for
      horizontal scrolling.
    * Adjustable finger detection.
      Multifinger taps: two finger for middle button and three finger for
      right button events. (Needs hardware support. Not all models implement
      this feature.)
    * Run-time configuration using shared memory. This means you can change
      parameter settings without restarting the X server.

%prep
%setup -q -n %{tarball}-%{?gitdate:%{gitdate}}%{!?gitdate:%{version}}


%build
autoreconf -v --install --force || exit 1
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

install -d $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d/50-synaptics.conf

install -d $RPM_BUILD_ROOT/lib/udev/rules.d/
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/lib/udev/rules.d/70-touchpad-quirks.rules


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_datadir}/X11/xorg.conf.d/50-synaptics.conf
%{driverdir}/synaptics_drv.so
%{_bindir}/synclient
%{_bindir}/syndaemon
%{_mandir}/man4/synaptics.4*
%{_mandir}/man1/synclient.1*
%{_mandir}/man1/syndaemon.1*
%doc COPYING README
/lib/udev/rules.d/70-touchpad-quirks.rules

%package devel
Summary:        Xorg X11 synaptics input driver
Group:          Development/Libraries

%description devel
Development files for the Synaptics TouchPad for X.Org.

%files devel
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/pkgconfig/xorg-synaptics.pc
%dir %{_includedir}/xorg
%{_includedir}/xorg/synaptics-properties.h
%{_includedir}/xorg/synaptics.h


%changelog
* Sun Apr 04 2011 Andrew Wyatt <andrew@fuduntu.org> 1.4.0-1
- Update to 1.4.0

* Sat Nov 20 2010 Andrew Wyatt <andrew.wyatt@fewt.com> 1.3.0-100fuduntu
- Orientation Patch
- Tap to click fix for some computers

* Wed Sep 01 2010 Peter Hutterer <peter.hutterer@redhat.com> 1.3.0-1
- synaptics 1.3.0
